/*==============================================================================
Copyright 2006 Thad Harroun, Kevin Yager

This file is part of "yanera 2.0".

"yanera 2.0" is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

"yanera 2.0" is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with "yanera 2.0"; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA 
==============================================================================*/ 
/*============================================================================*/
/** \file yanera_data.h
 *  \brief This code reads data files and resoltion files.

This code reads data files and resoltion files.
 */
/*=========================================================================*/
/** \brief Reads all the data files into memory.

 \param yanera The global \p yanera_container.
 
This function reads into memory the data to be fitted. It reads 2 or 3 columns data, where the columns are in the order: \f$q\f$, \f$R(q)\f$, and optionally the error in the reflectivity, \f$\sigma_R\f$. The go into the data struct as \p q , \p R , and \p e , respectivly.

If the data does not contain the error in \f$R(q)\f$, or the chosen weighting for fitting does not use it, this function also sets the \f$\sigma_R\f$ according tot the \p fit_weighting flag.

In the event that  \p fit_weighting is selected to be \p WEIGHT_DATA, but the third data column is missing from the file, then \f$\sigma_R\f$ is set to be 1.
 */
void yanera_load_data(yanera_container *yanera);
/*=========================================================================*/
/** \brief Reads the user supplied resolution file into memory.

For scans where incident slits are fixed, then the instrumental resolution \f$\delta q\f$ is fixed.
 */
void yanera_read_resolution(yanera_container *yanera);


