/*============================================================================
Copyright 2006 Thad Harroun, Kevin Yager

This file is part of "yanera 2.0".

"yanera 2.0" is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

"yanera 2.0" is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with "yanera 2.0"; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA 
=============================================================================*/
/** \file yanera_mdmin_simplex.h
	\brief Contains the routine for performing multidimensional minimization without gradient evaluation.


Contains the routines for performing multidimensional minimization fitting without gradient evaluation. See the section \ref fit for details.
*/
/*============================================================================*/
/** \brief The main function for the \p NMSIMPLEX fitting routine.

The main function for the \p NMSIMPLEX fitting routine. Since this fitting methods does not require any gradiant evaluation, we can simply use \p mdmin_f and \p mdmin_chisq functions for evaluation of the \f$\chi^2\f$, and avoid code duplication. 
 */
int yanera_mdmin_simplex_main(yanera_container *yanera);
/*============================================================================*/
/** \brief The function for the \p NMSIMPLEX fitting routine.

The function for the \p NMSIMPLEX fitting routine.
 */
double mdmin_simplex_f(const gsl_vector *parameters, \
                       void *yanera_pointer);

