/*==============================================================================
Copyright 2006 Thad Harroun, Kevin Yager

This file is part of "yanera 2.0".

"yanera 2.0" is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

"yanera 2.0" is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with "yanera 2.0"; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA 
==============================================================================*/ 
/*============================================================================*/
/** \file yanera_xml_output.h
 *  \brief This code outputs the results into a XML file.
 */
/*============================================================================*/
/** \brief Writes the XML file.

\param yanera The \p yanera_container holding the data.

This function writes the entire XML file in one go.
 */
void yanera_write_xml(yanera_container *yanera);
/*============================================================================*/
/** \brief Writes a \p yanera_layer to the XML DOM.

\param xml_node_layer The XML node that will hold the layer
\param layer The specific \p yanera_layer to write to the XML DOM.
\param yanera The \p yanera_container holding the data.
 */
void xmlLayer(xmlNodePtr xml_node_layer, \
              yanera_layer *layer, yanera_container *yanera);
/*============================================================================*/
/** \brief Writes out the min/max constraints to the XML DOM.

If there were constraints on the minimum and maximum values of a parameter, write them out in the results XML file.
 */
void xmlMinMax(xmlNodePtr xml_node_layer_item, short index, \
               yanera_container *yanera);
/*============================================================================*/
/** \brief PLEASE FILL IN

If a fit was performed, this function writes the uncertainty associated with the fitted paramter.
 */
void xmlParameterError(xmlNodePtr xml_node_layer_item, short index, \
                       yanera_container *yanera);
